number of points: calculate number of points of a geometry

## Functions

template<typename Geometry >
std::size_t | boost::geometry::num_points (Geometry const &geometry, bool add_for_open=false)
| Calculates the number of points of a geometry.

## Function Documentation

template<typename Geometry >

std::size_t boost::geometry::num_points | ( | Geometry const & | geometry,
|  | bool | add_for_open = `false`
| ) |  |

Calculates the number of points of a geometry.

The free function num_points calculates the number of points of a geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept
  add_for_open | add one for open geometries (i.e. polygon types which are not closed)

Returns:
  The calculated \1

Examples:
  02_linestring_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK